Subject: Re: bug#8592: 24.0.50; improve describe-function/variable

From: Florian Beck <[email-masked]>
Date: Mon, 02 May 2011 22:48:49 +0200

Juri Linkov <[email-masked]> writes:

>> Both functions provide lots of useful information. Unfortunatly, they do
>> too much at once. They collect the information AND display it. I'd find
>> it useul to have access to the help text in a lisp program. So I suggest
>> splitting the functions up and have one function return the help text,
>> another display it. Even more useful would be a function returning a
>> list with source file and position, keybindings, etc for functions and
>> original value for variables.
>
> This is what I intended to do:
> http://thread.gmane.org/gmane.emacs.devel/125872/focus=126713
> I'll continue very soon.

That looks exactly like what I need. Looking forward to it!

-- 
Florian Beck